=== debian/changelog ===
qrupdate (1.1.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Package moved to debian science
  * Standards-Version updated to version 3.9.2
  * Rafael removed from uploaders (Closes: #571907)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 04 Aug 2011 15:43:08 +0200

qrupdate (1.0.1-1) unstable; urgency=low

  * New upstream release.  The -march=native gcc option has been dropped
    and the package should compile correct on all architectures now.
    Closes: #519126
  * debian/control, debian/rules, debian/patches/*: Drop use of quilt,
    since all Debian patches are now applied upstream.

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Mar 2009 02:56:40 +0100

qrupdate (1.0-1) unstable; urgency=low

  * Initial release (Closes: #512232)

 -- Jordi Gutiérrez Hermoso <jordigh@gmail.com>  Tue, 03 Feb 2009 20:59:19 -0600
