=== debian/control ===
Source: qrupdate
Priority: optional
Maintainer:  Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Gutiérrez Hermoso <jordigh@gmail.com>
Build-Depends: debhelper (>= 7), perl-base( >= 5.8.8), gfortran, libblas3gf, liblapack-dev
Standards-Version: 3.9.2
Section: libs
Homepage: http://qrupdate.sf.net
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/qrupdate/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packagesqrupdate/

Package: libqrupdate1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast updates of QR and Cholesky decompositions
 qrupdate is a Fortran library for QR and Cholesky decompositions. It
 is most notably used by Octave.
 .
 This package contains the shared library.

Package: libqrupdate-dev
Section: libdevel
Architecture: any
Depends: libqrupdate1 (= ${binary:Version}), ${misc:Depends}
Description: Fast updates of QR and Cholesky decompositions -- static library
 qrupdate is a Fortran library for QR and Cholesky decompositions. It
 is most notably used by Octave.
 .
 This package contains the static library.
