=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PREFIX=$(CURDIR)/debian/tmp/usr

build: build-stamp
build-stamp: 
	dh_testdir
	$(MAKE) lib
	$(MAKE) solib
	$(MAKE) test

#extract docs from sources
	cat src/*.f | perl debian/get-function-ref.pl > function-reference

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean
	rm -f function-reference
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs
	$(MAKE) install
	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs -A
	dh_link
	dh_makeshlibs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
