=== debian/watch ===
version=3
http://sf.net/qrupdate/qrupdate-([\d.]+)\.tar\.gz
