## qrupdate 1.1.2

=== src/Makefile ===
--- 
+++ 
@@ -28,19 +28,30 @@
 sgqvec.f sqhqr.f sqr1up.f sqrdec.f sqrder.f sqrinc.f sqrinr.f sqrot.f  \
 sqrqh.f sqrshc.f sqrtv1.f zaxcpy.f zch1dn.f zch1up.f zchdex.f zchinx.f \
 zchshx.f zgqvec.f zqhqr.f zqr1up.f zqrdec.f zqrder.f zqrinc.f zqrinr.f \
-zqrot.f zqrqh.f zqrshc.f zqrtv1.f
+zqrot.f zqrqh.f zqrshc.f zqrtv1.f \
+clu1up.f dlu1up.f slu1up.f zlu1up.f \
+clup1up.f dlup1up.f slup1up.f zlup1up.f
 
 OBJS = $(SRC:%.f=%.o)
 
 lib: ../libqrupdate.a
 
-solib: ../libqrupdate.so
+ifeq ($(shell uname),Darwin)
+SOEXT=.dylib
+else
+SOEXT=.so
+endif
+solib: ../libqrupdate$(SOEXT)
 
 ../libqrupdate.a: $(OBJS)
 	ar -cr $@ $(OBJS)
 
 ../libqrupdate.so: $(OBJS)
 	$(FC) $(FFLAGS) -shared -o $@ -Wl,-soname=libqrupdate.so.$(MAJOR) $(OBJS) \
+		$(BLAS) $(LAPACK)
+
+../libqrupdate.dylib: $(OBJS)
+	$(FC) $(FFLAGS) $(LDFLAGS) -dynamiclib -o $@ -install_name $(PREFIX)/$(LIBDIR)/libqrupdate.$(MAJOR).dylib $(OBJS) \
 		$(BLAS) $(LAPACK)
 
 $(OBJS): %.o: %.f
@@ -51,10 +62,17 @@
 
 install: install-shlib install-staticlib
 
-install-shlib: ../libqrupdate.so
-	install -D -m644 ../libqrupdate.so $(PREFIX)/lib/libqrupdate.so.$(VERSION)
-	ln -s libqrupdate.so.$(VERSION) $(PREFIX)/lib/libqrupdate.so.$(MAJOR)
-	ln -s libqrupdate.so.$(VERSION) $(PREFIX)/lib/libqrupdate.so
+install-shlib: ../libqrupdate$(SOEXT) install-lib$(SOEXT)
+
+install-lib.so:
+	install -D -m644 ../libqrupdate.so $(DESTDIR)$(PREFIX)/$(LIBDIR)/libqrupdate.so.$(VERSION)
+	ln -s libqrupdate.so.$(VERSION) $(DESTDIR)$(PREFIX)/$(LIBDIR)/libqrupdate.so.$(MAJOR)
+	ln -s libqrupdate.so.$(VERSION) $(DESTDIR)$(PREFIX)/$(LIBDIR)/libqrupdate.so
+
+install-lib.dylib:
+	install -D -m644 ../libqrupdate.dylib $(DESTDIR)$(PREFIX)/$(LIBDIR)/libqrupdate.$(VERSION).dylib
+	ln -s libqrupdate.$(VERSION).dylib $(DESTDIR)$(PREFIX)/$(LIBDIR)/libqrupdate.$(MAJOR).dylib
+	ln -s libqrupdate.$(VERSION).dylib $(DESTDIR)$(PREFIX)/$(LIBDIR)/libqrupdate.dylib
 
 install-staticlib: ../libqrupdate.a
-	install -D -m644 ../libqrupdate.a $(PREFIX)/lib/libqrupdate.a
+	install -D -m644 ../libqrupdate.a $(DESTDIR)$(PREFIX)/$(LIBDIR)/libqrupdate.a
