=== test/Makefile ===
--- 
+++ 
@@ -22,13 +22,16 @@
 
 LIBS= $(BLAS) $(LAPACK)
 PROGS=tqr1up tqrinc tqrdec tqrshc tqrinr tqrder \
-      tch1up tch1dn tchinx tchdex tchshx
+      tch1up tch1dn tchinx tchdex tchshx \
+      tlu1up tlup1up
+
 OUTS=$(PROGS:%=%.out)
 
 tests: $(OUTS)
 	./report_results $(OUTS)
 
 $(OUTS): %.out: %
+	echo > $@
 	./$< | tee $@
 
 $(PROGS): % : %.f utils.o ../libqrupdate.a
