=== debian/changelog ===
qrupdate (1.1.2-3) unstable; urgency=medium

  * d/rules: add option -V to dh_makeshlibs.
  * Add Build-Depends-Package field in symbols file
  * Update Vcs-* URLs for move to salsa
  * Bump to debhelper compat level 11
  * Add Rules-Requires-Root: no
  * Remove obsolete versioned B-D on dpkg-dev and perl-base
  * Add support for nodoc in DEB_BUILD_OPTIONS
  * Bump S-V to 4.2.1
  * Rewrite d/copyright using machine-readable format 1.0
  * Update Homepage URL
  * Bump d/watch to file format version 4

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 27 Oct 2018 09:48:18 +0200

qrupdate (1.1.2-2) unstable; urgency=medium

  * Update Vcs-* fields for new git repository.
  * Drop useless use of dh-exec.
  * Bump to debhelper compat level 10.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Drop Jordi Gutiérrez Hermoso from Uploader.
    Thanks Jordi for your past contributions to this package! (Closes: #842482)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 30 Oct 2016 00:02:48 +0200

qrupdate (1.1.2-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump to debhelper 9.
  * Add myself to Uploaders.
  * Use canonical URLs for Vcs-* fields.
  * Ship docs only in the -dev package.
  * Bump to Standards-Version 3.9.5.
  * Multi-archify the package.
  * Inject compilation and linking flags from dpkg-buildflags.
  * Rewrite debian/rules using dh.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 12 Feb 2014 20:45:46 +0100

qrupdate (1.1.2-1~exp1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 14 Aug 2012 14:53:12 +0200
