=== debian/control ===
Source: qrupdate
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper-compat (= 11),
               gfortran,
               libblas-dev,
               liblapack-dev
Standards-Version: 4.2.1
Section: libs
Homepage: https://qrupdate.sourceforge.io/
Vcs-Git: https://salsa.debian.org/science-team/qrupdate.git
Vcs-Browser: https://salsa.debian.org/science-team/qrupdate
Rules-Requires-Root: no

Package: libqrupdate1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fast updates of QR and Cholesky decompositions
 qrupdate is a Fortran library for QR and Cholesky decompositions. It
 is most notably used by Octave.
 .
 This package contains the shared library.

Package: libqrupdate-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqrupdate1 (= ${binary:Version}), ${misc:Depends}
Description: Fast updates of QR and Cholesky decompositions -- static library
 qrupdate is a Fortran library for QR and Cholesky decompositions. It
 is most notably used by Octave.
 .
 This package contains the static library.
