=== debian/watch ===
version=4
http://sf.net/qrupdate/ qrupdate-(.+)\.tar\.gz debian uupdate
