=== lapack-missing/CMakeLists.txt ===
PROJECT(LAPACK_MISSING Fortran)
IF(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
	cmake_minimum_required(VERSION 3.0)
	LIST(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMakeModules")

	MESSAGE(STATUS "essl-lapack standalone build")
	FIND_PACKAGE(BLAS REQUIRED)
	FIND_PACKAGE(LAPACK REQUIRED)
    SET(LAPACK_MISSING_TARGET_NAME lapack_missing)
ENDIF()

INCLUDE(${CMAKE_SOURCE_DIR}/LapackMissing.cmake)
