=== debian/changelog ===
qrupdate (1.1.5-2) unstable; urgency=medium

  * cmake4.patch: new patch, fixes FTBFS against CMake 4 (Closes: #1113446)
  * Drop “Rules-Requires-Root: no”, which is now the default
  * Bump S-V to 4.7.2
  * d/watch: convert to format version 5
  * Fix location of DEP-12 d/upstream/metadata file
  * d/upstream/metadata: add bug database on GitHub mirror.
    Issues on the GitHub mirror are monitored and fixed in practice, especially
    given that user account creation is restricted on the GitLab instance of the
    main repository.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 09 Oct 2025 02:11:31 +0200

qrupdate (1.1.5-1) unstable; urgency=medium

  * New upstream version 1.1.5
    Switch to new upstream: qrupdate-ng by Martin Köhler. (Closes: #1079939)
  * d/copyright: reflect upstream changes
  * Adapt to new CMake build system.
    In particular:
    – the static library is no longer shipped
    – pkg-config and CMake modules are now shipped
    – inject-ldflags.patch has been dropped
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 16 Sep 2024 17:02:20 +0200

qrupdate (1.1.2-4) unstable; urgency=medium

  * Add -std=legacy to FFLAGS, needed since gfortran 10 (Closes: #957723)
  * Bump to debhelper 13
  * Bump to S-V 4.5.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 22 Jul 2020 12:58:29 +0200
