=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                gfortran,
                libblas-dev,
-               liblapack-dev
-Standards-Version: 4.2.1
+               liblapack-dev,
+               cmake
+Standards-Version: 4.7.2
 Section: libs
-Homepage: https://qrupdate.sourceforge.io/
+Homepage: https://gitlab.mpi-magdeburg.mpg.de/koehlerm/qrupdate-ng
 Vcs-Git: https://salsa.debian.org/science-team/qrupdate.git
 Vcs-Browser: https://salsa.debian.org/science-team/qrupdate
-Rules-Requires-Root: no
 
 Package: libqrupdate1
 Architecture: any
@@ -29,8 +29,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libqrupdate1 (= ${binary:Version}), ${misc:Depends}
-Description: Fast updates of QR and Cholesky decompositions -- static library
+Description: Fast updates of QR and Cholesky decompositions -- development files
  qrupdate is a Fortran library for QR and Cholesky decompositions. It
  is most notably used by Octave.
  .
- This package contains the static library.
+ This package contains the development files.
