=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

# Ensure that we pick generic BLAS and LAPACK
override_dh_auto_configure:
	dh_auto_configure -- -DBLA_PREFER_PKGCONFIG=TRUE

execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
#extract docs from sources
	cat src/*.f | perl debian/get-function-ref.pl > function-reference
endif

execute_after_dh_auto_clean:
	rm -f function-reference
