=== debian/watch ===
Version: 5

# Once #1116633 is fixed, can be simplified as:
# Template: Gitlab
# Dist: https://gitlab.mpi-magdeburg.mpg.de/koehlerm/qrupdate-ng/
# Uversion-Mangle: (unchanged)
Source: https://gitlab.mpi-magdeburg.mpg.de/koehlerm/qrupdate-ng/
Mode: gitlab
Matching-Pattern: .*@ANY_VERSION@
Pgp-Mode: none
Filename-Mangle: s/.*(@ARCHIVE_EXT@)/@PACKAGE@.tar.gz/
Uversion-Mangle: s/^v//; s/(\d)[_\.\-\+]?((?:RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/
